Create a new global target property
post
https://EM_HOST:8080/em/api/globalTargetProperties
This api creates a new global target property resource with the given data. If the resource already exists an error is returned. Note - For user defined properties the name and the displayName are the same.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
objectPayload needed for a target creation request.
Show Source
-
hasValidValuesEnabled: boolean
Indicates if target property values added to targets should be checked against the valid values list.Example:
true -
id(required): string
the target property idExample:
my_prop -
name(required): string
the target property nameExample:
My Property -
validValues: array
validValues
the valid values for this property
Nested Schema : validValues
Type:
arraythe valid values for this property
Show Source
Example:
[
"My Value",
"My Other Value"
]Response
Supported Media Types
- application/json
201 Response
Created
Root Schema : GlobalTargetProperty
Type:
objectThis is the representation of an EM target resource.
Show Source
-
displayName(required): string
the property display name in the client localeExample:
Location -
hasValidValuesEnabled: boolean
Indicates if target property values added to targets should be checked against the valid values list.Example:
true -
id(required): string
the target property idExample:
orcl_gtp_location -
links: object
links
the target related links
-
name(required): string
the target property nameExample:
Location -
validValues: array
validValues
the valid values for this property
Nested Schema : validValues
Type:
arraythe valid values for this property
Show Source
Example:
[
"London",
"Paris",
"Rome"
]400 Response
illegal arguments or incomplete resource definition
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
401 Response
client is not authenticated
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
409 Response
not authorized or target already exists
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
500 Response
internal error serving the request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
503 Response
indicates that a required service is not available.
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description